#include <stdio.h>
#include<math.h>

 

int     inNum(char *);
float   inCoord(char *t, int k);
float   calcLength(float x1, float y1, float x2, float y2);
void    outArray(float *L, int n);

int main(void)
{
    int i; // local variables
    int n; // number of points
    
    do {
        n = inNum ("insert number of points: ");
        if(n < 1 || n > 10) printf("number of points must be in the range of 1-10.\n");
    } while(n < 1 || n > 10);
    
    float c[n][2]; // coordinates: 0 - X, 1 - Y
    
    for(i=0; i<n; i++) {
        c[i][0] = inCoord("X", i+1);
        c[i][1] = inCoord("Y", i+1);
    }
    
    float L[n];
    for(i=0; i<n-1; i++) {
        L[i] = calcLength (c[0][0], c[0][1], c[i+1][0], c[i+1][1]);
    }
   
     outArray(L, n); //  result
    
    getchar();
    return 0;
}

int  inNum(char *t) {
    int i;
    printf(t);
    scanf("%d", &i);
    return i;
}

float  inCoord(char *t, int k) {
    float i;
    printf("Insert %d. point ", k);
    printf(t);
    printf(" coordinate: ");
    scanf("%f", &i);
    return i;
}

float  calcLength(float x1, float y1, float x2, float y2) {
    return (float)sqrt((x2-x1)*(x2-x1) + (y2-y1)*(y2-y1));
}

void outArray (float *L, int n) {
    int i;
    for(i=0; i<n-1; i++) {
        printf("L[%d] = %.3f\n", i, L[i]);
    }
}
